commit:     990a8911c8ba9cdcd836d4c93a91dc0c23b498df
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 15 20:58:24 2021 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Feb 15 20:58:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=990a8911

net-im/prosody: bump to version 0.11.8

Package-Manager: Portage-3.0.14, Repoman-3.0.2
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-im/prosody/Manifest              |   1 +
 net-im/prosody/prosody-0.11.8.ebuild | 103 +++++++++++++++++++++++++++++++++++
 2 files changed, 104 insertions(+)

diff --git a/net-im/prosody/Manifest b/net-im/prosody/Manifest
index 6db7e0ac624..f6531f73dd6 100644
--- a/net-im/prosody/Manifest
+++ b/net-im/prosody/Manifest
@@ -1 +1,2 @@
 DIST prosody-0.11.7.tar.gz 429369 BLAKE2B 
8ef7377810702d5e1f480d84c09d6e3cc6aab674cca56fc1ce5e211d32df63ffeb57869c9d98429a81ea715ee19fca2ac015daa6b88b8c140efbeccb906defa6
 SHA512 
923aa92598ef851ed8408931942859f78f1e3d700fee251f4f5ca67abdcdae43448318ed90a9a1cdc7824d5f4dc5a4732fad4b9ed36d97455fa9b3bff0881a20
+DIST prosody-0.11.8.tar.gz 429762 BLAKE2B 
e7c945d0f99ed02cd54175f989241ee4731677600db39475365d3a4227afe2fa2b6f2075e3820fa9b7840d65014f43f786fa218a60765f7be319ddd7d30b67d4
 SHA512 
b0b7e1d3e41f47f0f88ad5b76444e4959b20f4c7a937f3cc605ba6ed5d92e713a3054dcb61ee6629063883a8f9ff1a03952893de4a0d840dcec4e5e42079eb57

diff --git a/net-im/prosody/prosody-0.11.8.ebuild 
b/net-im/prosody/prosody-0.11.8.ebuild
new file mode 100644
index 00000000000..80d5d1f0593
--- /dev/null
+++ b/net-im/prosody/prosody-0.11.8.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+LUA_COMPAT=( lua5-{1..3} luajit )
+LUA_REQ_USE="deprecated(+)"
+
+inherit lua-single systemd tmpfiles toolchain-funcs
+
+DESCRIPTION="Prosody is a modern XMPP communication server"
+HOMEPAGE="https://prosody.im/";
+SRC_URI="https://prosody.im/downloads/source/${P}.tar.gz";
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+IUSE="icu +idn +libevent libressl mysql postgres selinux +sqlite +ssl test 
+zlib"
+REQUIRED_USE="
+       ^^ ( icu idn )
+       ${LUA_REQUIRED_USE}
+"
+RESTRICT="!test? ( test )"
+
+DEPEND="
+       $(lua_gen_cond_dep 'dev-lua/luaexpat[${LUA_USEDEP}]')
+       $(lua_gen_cond_dep 'dev-lua/luafilesystem[${LUA_USEDEP}]')
+       $(lua_gen_cond_dep 'dev-lua/luasocket[${LUA_USEDEP}]')
+       net-im/jabber-base
+       icu? ( dev-libs/icu:= )
+       idn? ( net-dns/libidn:= )
+       libevent? ( $(lua_gen_cond_dep 'dev-lua/luaevent[${LUA_USEDEP}]') )
+       libressl? ( dev-libs/libressl:= )
+       !libressl? ( dev-libs/openssl:0= )
+       lua_single_target_lua5-1? ( $(lua_gen_cond_dep 
'dev-lua/lua-bit32[lua_targets_lua5-1(-)]') )
+       mysql? ( $(lua_gen_cond_dep 'dev-lua/luadbi[mysql,${LUA_USEDEP}]') )
+       postgres? ( $(lua_gen_cond_dep 
'dev-lua/luadbi[postgres,${LUA_USEDEP}]') )
+       sqlite? ( $(lua_gen_cond_dep 'dev-lua/luadbi[sqlite,${LUA_USEDEP}]') )
+       ssl? ( $(lua_gen_cond_dep 'dev-lua/luasec[${LUA_USEDEP}]') )
+       zlib? ( $(lua_gen_cond_dep 'dev-lua/lua-zlib[${LUA_USEDEP}]') )
+       ${LUA_DEPS}
+"
+
+RDEPEND="
+       ${DEPEND}
+       selinux? ( sec-policy/selinux-jabber )
+"
+
+BDEPEND="
+       virtual/pkgconfig
+       test? ( $(lua_gen_cond_dep 'dev-lua/busted[${LUA_USEDEP}]') )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-0.11.7-gentoo.patch" )
+
+src_prepare() {
+       default
+
+       # Set correct plugin path for optional net-im/prosody-modules package
+       sed -e "s/GENTOO_LIBDIR/$(get_libdir)/g" -i prosody.cfg.lua.dist || die
+}
+
+src_configure() {
+       local myeconfargs=(
+               --add-cflags="${CFLAGS}"
+               --add-ldflags="${LDFLAGS}"
+               --c-compiler="$(tc-getCC)"
+               --datadir="${EPREFIX}/var/spool/jabber"
+               --idn-library="$(usex idn 'idn' 'icu')"
+               --libdir="${EPREFIX}/usr/$(get_libdir)"
+               --linker="$(tc-getCC)"
+               --lua-version="$(usex lua_single_target_luajit '5.1' $(ver_cut 
1-2 $(lua_get_version)))"
+               --no-example-certs
+               --ostype="linux"
+               --prefix="${EPREFIX}/usr"
+               --runwith="${ELUA}"
+               --sysconfdir="${EPREFIX}/etc/jabber"
+               --with-lua-include="${EPREFIX}/$(lua_get_include_dir)"
+               --with-lua-lib="${EPREFIX}/$(lua_get_cmod_dir)"
+       )
+
+       # Since the configure script is handcrafted,
+       # and yells at unknown options, do not use 'econf'.
+       ./configure "${myeconfargs[@]}" || die
+
+       rm makefile || die
+       mv GNUmakefile Makefile || die
+}
+
+src_install() {
+       default
+
+       keepdir /var/spool/jabber
+
+       newinitd "${FILESDIR}"/prosody.initd-r5 prosody
+       systemd_newunit "${FILESDIR}"/prosody.service-r2 prosody.service
+
+       newtmpfiles "${FILESDIR}"/prosody.tmpfilesd-r1 prosody.conf
+}
+
+pkg_postinst() {
+       tmpfiles_process prosody.conf
+}

Reply via email to